POST api/v1/PregnancyWeights
Request Information
URI Parameters
None.
Body Parameters
PregnancyWeight| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| MotherId | integer |
None. |
|
| EntryDate | date |
None. |
|
| GestationalWeek | byte |
None. |
|
| WeightKg | decimal number |
None. |
|
| PrePregnancyWeight | decimal number |
None. |
|
| HeightCm | decimal number |
None. |
|
| Notes | string |
None. |
|
| IsDeleted | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"motherId": 2,
"entryDate": "2026-04-18T15:06:29.4770207+03:00",
"gestationalWeek": 64,
"weightKg": 4.0,
"prePregnancyWeight": 1.0,
"heightCm": 1.0,
"notes": "sample string 5",
"isDeleted": true,
"createdAt": "2026-04-18T15:06:29.4770207+03:00",
"updatedAt": "2026-04-18T15:06:29.4770207+03:00"
}
application/xml, text/xml
Sample:
<PregnancyWeight xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityBase"> <CreatedAt>2026-04-18T15:06:29.4770207+03:00</CreatedAt> <EntryDate>2026-04-18T15:06:29.4770207+03:00</EntryDate> <GestationalWeek>64</GestationalWeek> <HeightCm>1</HeightCm> <Id>1</Id> <IsDeleted>true</IsDeleted> <MotherId>2</MotherId> <Notes>sample string 5</Notes> <PrePregnancyWeight>1</PrePregnancyWeight> <UpdatedAt>2026-04-18T15:06:29.4770207+03:00</UpdatedAt> <WeightKg>4</WeightKg> </PregnancyWeight>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.